Subject: Re: [Capwap] Proposed Resolution to Issue 97: Discovery TypeDefinition Inconsistencies

From: "Pat Calhoun (pacalhou)" <[email-masked]>
Date: Mon, 5 Jun 2006 17:22:18 -0700

I agree with Dorothy's proposal.

Pat Calhoun
CTO, Wireless Networking Business Unit
Cisco Systems

________________________________

	From: Dorothy Stanley [mailto:[email-masked]] 
	Sent: Thursday, May 25, 2006 6:46 AM
	To: David T. Perkins
	Cc: capwap
	Subject: Re: [Capwap] Proposed Resolution to Issue 97: Discovery
TypeDefinition Inconsistencies

	David,
	
	The scope of Issue 97 is terminology related to one message
	element used in the discovery process, and appears to make the
	language clearer, and internally consistent with what is
currently in the
	document.
	
	I suggest that a new issue along the lines of
	"Boot Model Incomplete" be opened to cover the broader
	boot model definition that you are raising.
	
	Dorothy

	On 5/24/06, David T. Perkins <[email-masked]> wrote: 

		HI,
		
		I think that this problem description and proposed
resolution are
		premature. A complete description and solution is needed
on the
		boot process. I feel that the current draft is not there
yet,
		since the model is not well described. 
		
		I've been working on my prototype code using the DTLS
implemention
		from the OpenSSL project, and haven't yet sent in an
updated
		description for a proposed CAPWAP boot model. I do
apologize.
		I'll try to juggle priorities to make this happen. 
		
		Regards,
		/david t. perkins
		
		On Wed, 24 May 2006, Dorothy Stanley wrote:
		> All,
		>
		> Issue 97 is listed below, together with a proposed
resolution.
		>
		> Comments please.
		> 
		> Thanks,
		>
		> Dorothy
		> -------------
		>
		> Proposed Resolution: Accept, see 4.4.19,
		>
		> Change from:
		>
		> The Discovery message element is used to configure a
WTP to operate in a 
		> specific mode.
		>  0
		>  0 1 2 3 4 5 6 7
		> +-+-+-+-+-+-+-+-+
		>  | Discovery Type|
		>  +-+-+-+-+-+-+-+-+
		>
		> Type: 19 for Discovery Type
		>
		>  Length: 1
		> Discovery Type: An 8-bit value indicating how the AC
was discovered. 
		> The following values are supported:
		>  0 - Broadcast
		> 1 - Configured
		>
		> to
		>
		> The Discovery Type message element is used to indicate
that the WTP has been
		> configured with the AC address 
		> to which the corresponding Discovery Request message
is sent.
		>  0
		>  0 1 2 3 4 5 6 7
		> +-+-+-+-+-+-+-+-+
		>  | Discovery Type|
		>  +-+-+-+-+-+-+-+-+
		>
		> Type: 19 for Discovery Type 
		>
		>  Length: 1
		> Discovery Type: An 8-bit value indicating WTP
knowledge of the AC
		> The following values are supported:
		>  0 - Unknown
		> 1 -  Configured
		>
		>
		>
		> 
		>
		>
		>
		>
		>
		>
		>
		>
		> Issue 97:
		>
		> Section 5.1.1 Defines the Discovery Type message
element. This message element
		> is included in the
		> Discovery Request message, sent by WTPs to discover
potential ACs. 
		>
		> The current definition is below:
		>
		> The Discovery message element is used to configure a
WTP to operate in a
		> specific mode.
		>  0
		>  0 1 2 3 4 5 6 7
		> +-+-+-+-+-+-+-+-+ 
		>  | Discovery Type|
		>  +-+-+-+-+-+-+-+-+
		>
		> Type: 58 for Discovery Type
		>
		>  Length: 1
		> Discovery Type: An 8-bit value indicating how the AC
was discovered.
		> The following values are supported: 
		>  0 - Broadcast
		> 1 - Configured
		>
		> Comments:
		> 1. The statement that " The Discovery message element
is used to configure a WTP
		> to operate in a specific mode." seems inconsistent 
		> with its inclusion in the Discovery Request message.
		> 2. Discovery Type: An 8-bit value indicating how the
AC was discovered. - The AC
		> hasn't been discovered yet. Does this mean the mode -
unicast, 
		> broadcast/multi-cast
		> in which the discovery request message was sent? Must
the WTP be either
		> configured with the AC address, or find the address on
its own? Seems like this
		> would be part of WTP configuration, rather than being
included in the discovery 
		> request message.
		> 3. What is the purpose/value of including "Discovery
Type"? Either define
		> consistently, or delete it
		>
		> Do we mean the following?
		>
		>
		> The Discovery Type message element is used to indicate
that the WTP has been 
		> configured with the AC address
		> to which the corresponding Discovery Request message
is sent.
		>  0
		>  0 1 2 3 4 5 6 7
		> +-+-+-+-+-+-+-+-+
		>  | Discovery Type|
		>  +-+-+-+-+-+-+-+-+ 
		>
		> Type: 58 for Discovery Type
		>
		>  Length: 1
		> Discovery Type: An 8-bit value indicating WTP
knowledge of the AC
		> The following values are supported:
		>  0 - Unknown
		> 1 -  Configured 
		>

_________________________________________________________________
To unsubscribe or modify your subscription options, please visit:
http://lists.frascone.com/mailman/listinfo/capwap

Archives: http://lists.frascone.com/pipermail/capwap